Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.annotations
Class AnnotationActions

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.annotations.AnnotationActions

All Implemented Interfaces:
  Cloneable, Map<PdfName,Action>, IPdfObjectWrapper

Direct Known Subclasses:
  WidgetActions

    @PDF(value=PDF12)
    public class AnnotationActions

extends PdfObjectWrapper<PdfDictionary>
implements Map<PdfName,Action>

Annotation actions [PDF:1.6:8.5.2].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`AnnotationActions(Annotation parent)`

Method Summary
`void` | `clear()`
`AnnotationActions` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<PdfName,Action>>` | `entrySet()`
`Action` | `get(Object key)`
`Action` | `getOnActivate()` Gets the action to be performed when the annotation is activated.
`Action` | `getOnEnter()` Gets the action to be performed when the cursor enters the annotation's active area.
`Action` | `getOnExit()` Gets the action to be performed when the cursor exits the annotation's active area.
`Action` | `getOnMouseDown()` Gets the action to be performed when the mouse button is pressed inside the annotation's active area.
`Action` | `getOnMouseUp()` Gets the action to be performed when the mouse button is released inside the annotation's active area.
`Action` | `getOnPageClose()` Gets the action to be performed when the page containing the annotation is closed.
`Action` | `getOnPageInvisible()` Gets the action to be performed when the page containing the annotation is no longer visible in the viewer application's user interface.
`Action` | `getOnPageOpen()` Gets the action to be performed when the page containing the annotation is opened.
`Action` | `getOnPageVisible()` Gets the action to be performed when the page containing the annotation becomes visible in the viewer application's user interface.
`boolean` | `isEmpty()`
`Set<PdfName>` | `keySet()`
`Action` | `put(PdfName key, Action value)`
`void` | `putAll(Map<? extends PdfName,? extends Action> entries)`
`Action` | `remove(Object key)`
`void` | `setOnActivate(Action value)`
`void` | `setOnEnter(Action value)`
`void` | `setOnExit(Action value)`
`void` | `setOnMouseDown(Action value)`
`void` | `setOnMouseUp(Action value)`
`void` | `setOnPageClose(Action value)`
`void` | `setOnPageInvisible(Action value)`
`void` | `setOnPageOpen(Action value)`
`void` | `setOnPageVisible(Action value)`
`int` | `size()`
`Collection<Action>` | `values()`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### AnnotationActions

    public AnnotationActions(Annotation parent)

Method Detail

### clone

    public AnnotationActions clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getOnActivate

    public Action getOnActivate()

  Gets the action to be performed when the annotation is activated.

### getOnEnter

    public Action getOnEnter()

  Gets the action to be performed when the cursor enters the annotation's active area.

### getOnExit

    public Action getOnExit()

  Gets the action to be performed when the cursor exits the annotation's active area.

### getOnMouseDown

    public Action getOnMouseDown()

  Gets the action to be performed when the mouse button is pressed inside the annotation's active area.

### getOnMouseUp

    public Action getOnMouseUp()

  Gets the action to be performed when the mouse button is released inside the annotation's active area.

### getOnPageClose

    public Action getOnPageClose()

  Gets the action to be performed when the page containing the annotation is closed.

### getOnPageInvisible

    public Action getOnPageInvisible()

  Gets the action to be performed when the page containing the annotation is no longer visible in the viewer application's user interface.

### getOnPageOpen

    public Action getOnPageOpen()

  Gets the action to be performed when the page containing the annotation is opened.

### getOnPageVisible

    public Action getOnPageVisible()

  Gets the action to be performed when the page containing the annotation becomes visible in the viewer application's user interface.

### setOnActivate

    public void setOnActivate(Action value)

  See Also:
    `getOnActivate()`

### setOnEnter

    public void setOnEnter(Action value)

  See Also:
    `getOnEnter()`

### setOnExit

    public void setOnExit(Action value)

  See Also:
    `getOnExit()`

### setOnMouseDown

    public void setOnMouseDown(Action value)

  See Also:
    `getOnMouseDown()`

### setOnMouseUp

    public void setOnMouseUp(Action value)

  See Also:
    `getOnMouseUp()`

### setOnPageClose

    public void setOnPageClose(Action value)

  See Also:
    `getOnPageClose()`

### setOnPageInvisible

    public void setOnPageInvisible(Action value)

  See Also:
    `getOnPageInvisible()`

### setOnPageOpen

    public void setOnPageOpen(Action value)

  See Also:
    `getOnPageOpen()`

### setOnPageVisible

    public void setOnPageVisible(Action value)

  See Also:
    `getOnPageVisible()`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<PdfName,Action>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<PdfName,Action>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<PdfName,Action>`

### entrySet

    public Set<Map.Entry<PdfName,Action>> entrySet()

  Specified by:
    `entrySet` in interface `Map<PdfName,Action>`

### get

    public Action get(Object key)

  Specified by:
    `get` in interface `Map<PdfName,Action>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<PdfName,Action>`

### keySet

    public Set<PdfName> keySet()

  Specified by:
    `keySet` in interface `Map<PdfName,Action>`

### put

    public Action put(PdfName key,
                      Action value)

  Specified by:
    `put` in interface `Map<PdfName,Action>`

### putAll

    public void putAll(Map<? extends PdfName,? extends Action> entries)

  Specified by:
    `putAll` in interface `Map<PdfName,Action>`

### remove

    public Action remove(Object key)

  Specified by:
    `remove` in interface `Map<PdfName,Action>`

### size

    public int size()

  Specified by:
    `size` in interface `Map<PdfName,Action>`

### values

    public Collection<Action> values()

  Specified by:
    `values` in interface `Map<PdfName,Action>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.